diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/uinteger-16-probe.h ns-3.44/src/stats/model/uinteger-16-probe.h
--- ns-3.43/src/stats/model/uinteger-16-probe.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/uinteger-16-probe.h	2025-03-09 16:55:49.703372200 -0700
@@ -21,7 +21,7 @@
 {
 
 /**
- * \ingroup probes
+ * @ingroup probes
  *
  * This class is designed to probe an underlying ns3 TraceSource exporting
  * an uint16_t.  This probe exports a trace source "Output" of type uint16_t.
@@ -34,44 +34,44 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     Uinteger16Probe();
     ~Uinteger16Probe() override;
 
     /**
-     * \return the most recent value
+     * @return the most recent value
      */
     uint16_t GetValue() const;
 
     /**
-     * \param value set the traced uint16_t to a new value
+     * @param value set the traced uint16_t to a new value
      */
     void SetValue(uint16_t value);
 
     /**
-     * \brief Set a probe value by its name in the Config system
+     * @brief Set a probe value by its name in the Config system
      *
-     * \param path Config path to access the probe
-     * \param value set the traced uint16_t to a new value
+     * @param path Config path to access the probe
+     * @param value set the traced uint16_t to a new value
      */
     static void SetValueByPath(std::string path, uint16_t value);
 
     /**
-     * \brief connect to a trace source attribute provided by a given object
+     * @brief connect to a trace source attribute provided by a given object
      *
-     * \param traceSource the name of the attribute TraceSource to connect to
-     * \param obj ns3::Object to connect to
-     * \return true if the trace source was successfully connected
+     * @param traceSource the name of the attribute TraceSource to connect to
+     * @param obj ns3::Object to connect to
+     * @return true if the trace source was successfully connected
      */
     bool ConnectByObject(std::string traceSource, Ptr<Object> obj) override;
 
     /**
-     * \brief connect to a trace source provided by a config path
+     * @brief connect to a trace source provided by a config path
      *
-     * \param path Config path to bind to
+     * @param path Config path to bind to
      *
      * Note, if an invalid path is provided, the probe will not be connected
      * to anything.
@@ -80,10 +80,10 @@
 
   private:
     /**
-     * \brief Method to connect to an underlying ns3::TraceSource of type uint16_t
+     * @brief Method to connect to an underlying ns3::TraceSource of type uint16_t
      *
-     * \param oldData previous value of the uint16_t
-     * \param newData new value of the uint16_t
+     * @param oldData previous value of the uint16_t
+     * @param newData new value of the uint16_t
      */
     void TraceSink(uint16_t oldData, uint16_t newData);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/uinteger-32-probe.h ns-3.44/src/stats/model/uinteger-32-probe.h
--- ns-3.43/src/stats/model/uinteger-32-probe.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/uinteger-32-probe.h	2025-03-09 16:55:49.703372200 -0700
@@ -21,7 +21,7 @@
 {
 
 /**
- * \ingroup probes
+ * @ingroup probes
  *
  * This class is designed to probe an underlying ns3 TraceSource exporting
  * an uint32_t.  This probe exports a trace source "Output" of type uint32_t.
@@ -34,44 +34,44 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     Uinteger32Probe();
     ~Uinteger32Probe() override;
 
     /**
-     * \return the most recent value
+     * @return the most recent value
      */
     uint32_t GetValue() const;
 
     /**
-     * \param value set the traced uint32_t to a new value
+     * @param value set the traced uint32_t to a new value
      */
     void SetValue(uint32_t value);
 
     /**
-     * \brief Set a probe value by its name in the Config system
+     * @brief Set a probe value by its name in the Config system
      *
-     * \param path Config path to access the probe
-     * \param value set the traced uint32_t to a new value
+     * @param path Config path to access the probe
+     * @param value set the traced uint32_t to a new value
      */
     static void SetValueByPath(std::string path, uint32_t value);
 
     /**
-     * \brief connect to a trace source attribute provided by a given object
+     * @brief connect to a trace source attribute provided by a given object
      *
-     * \param traceSource the name of the attribute TraceSource to connect to
-     * \param obj ns3::Object to connect to
-     * \return true if the trace source was successfully connected
+     * @param traceSource the name of the attribute TraceSource to connect to
+     * @param obj ns3::Object to connect to
+     * @return true if the trace source was successfully connected
      */
     bool ConnectByObject(std::string traceSource, Ptr<Object> obj) override;
 
     /**
-     * \brief connect to a trace source provided by a config path
+     * @brief connect to a trace source provided by a config path
      *
-     * \param path Config path to bind to
+     * @param path Config path to bind to
      *
      * Note, if an invalid path is provided, the probe will not be connected
      * to anything.
@@ -80,10 +80,10 @@
 
   private:
     /**
-     * \brief Method to connect to an underlying ns3::TraceSource of type uint32_t
+     * @brief Method to connect to an underlying ns3::TraceSource of type uint32_t
      *
-     * \param oldData previous value of the uint32_t
-     * \param newData new value of the uint32_t
+     * @param oldData previous value of the uint32_t
+     * @param newData new value of the uint32_t
      */
     void TraceSink(uint32_t oldData, uint32_t newData);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/uinteger-8-probe.h ns-3.44/src/stats/model/uinteger-8-probe.h
--- ns-3.43/src/stats/model/uinteger-8-probe.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/uinteger-8-probe.h	2025-03-09 16:55:49.703372200 -0700
@@ -21,7 +21,7 @@
 {
 
 /**
- * \ingroup probes
+ * @ingroup probes
  *
  * This class is designed to probe an underlying ns3 TraceSource exporting
  * an uint8_t.  This probe exports a trace source "Output" of type uint8_t.
@@ -34,44 +34,44 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     Uinteger8Probe();
     ~Uinteger8Probe() override;
 
     /**
-     * \return the most recent value
+     * @return the most recent value
      */
     uint8_t GetValue() const;
 
     /**
-     * \param value set the traced uint8_t to a new value
+     * @param value set the traced uint8_t to a new value
      */
     void SetValue(uint8_t value);
 
     /**
-     * \brief Set a probe value by its name in the Config system
+     * @brief Set a probe value by its name in the Config system
      *
-     * \param path Config path to access the probe
-     * \param value set the traced uint8_t to a new value
+     * @param path Config path to access the probe
+     * @param value set the traced uint8_t to a new value
      */
     static void SetValueByPath(std::string path, uint8_t value);
 
     /**
-     * \brief connect to a trace source attribute provided by a given object
+     * @brief connect to a trace source attribute provided by a given object
      *
-     * \param traceSource the name of the attribute TraceSource to connect to
-     * \param obj ns3::Object to connect to
-     * \return true if the trace source was successfully connected
+     * @param traceSource the name of the attribute TraceSource to connect to
+     * @param obj ns3::Object to connect to
+     * @return true if the trace source was successfully connected
      */
     bool ConnectByObject(std::string traceSource, Ptr<Object> obj) override;
 
     /**
-     * \brief connect to a trace source provided by a config path
+     * @brief connect to a trace source provided by a config path
      *
-     * \param path Config path to bind to
+     * @param path Config path to bind to
      *
      * Note, if an invalid path is provided, the probe will not be connected
      * to anything.
@@ -80,10 +80,10 @@
 
   private:
     /**
-     * \brief Method to connect to an underlying ns3::TraceSource of type uint8_t
+     * @brief Method to connect to an underlying ns3::TraceSource of type uint8_t
      *
-     * \param oldData previous value of the uint8_t
-     * \param newData new value of the uint8_t
+     * @param oldData previous value of the uint8_t
+     * @param newData new value of the uint8_t
      */
     void TraceSink(uint8_t oldData, uint8_t newData);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/test/average-test-suite.cc ns-3.44/src/stats/test/average-test-suite.cc
--- ns-3.43/src/stats/test/average-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/test/average-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -18,9 +18,9 @@
 const double TOLERANCE = 2e-14;
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief Average class - Test case for a single integer.
+ * @brief Average class - Test case for a single integer.
  */
 class OneIntegerAverageTestCase : public TestCase
 {
@@ -109,9 +109,9 @@
 }
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief Average class - Test case for five integers.
+ * @brief Average class - Test case for five integers.
  */
 class FiveIntegersAverageTestCase : public TestCase
 {
@@ -202,9 +202,9 @@
 }
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief Average class - Test case for five double values.
+ * @brief Average class - Test case for five double values.
  */
 class FiveDoublesAverageTestCase : public TestCase
 {
@@ -295,9 +295,9 @@
 }
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief Average class TestSuite
+ * @brief Average class TestSuite
  */
 class AverageTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/test/basic-data-calculators-test-suite.cc ns-3.44/src/stats/test/basic-data-calculators-test-suite.cc
--- ns-3.43/src/stats/test/basic-data-calculators-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/test/basic-data-calculators-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -17,9 +17,9 @@
 const double TOLERANCE = 1e-13;
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief MinMaxAvgTotalCalculator class - Test case for a single integer.
+ * @brief MinMaxAvgTotalCalculator class - Test case for a single integer.
  */
 class OneIntegerTestCase : public TestCase
 {
@@ -91,9 +91,9 @@
 }
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief MinMaxAvgTotalCalculator class - Test case for five integers.
+ * @brief MinMaxAvgTotalCalculator class - Test case for five integers.
  */
 class FiveIntegersTestCase : public TestCase
 {
@@ -165,9 +165,9 @@
 }
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief MinMaxAvgTotalCalculator class - Test case for five double values.
+ * @brief MinMaxAvgTotalCalculator class - Test case for five double values.
  */
 class FiveDoublesTestCase : public TestCase
 {
@@ -239,9 +239,9 @@
 }
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief MinMaxAvgTotalCalculator class TestSuite
+ * @brief MinMaxAvgTotalCalculator class TestSuite
  */
 class BasicDataCalculatorsTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/test/double-probe-test-suite.cc ns-3.44/src/stats/test/double-probe-test-suite.cc
--- ns-3.43/src/stats/test/double-probe-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/test/double-probe-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -14,16 +14,16 @@
 using namespace ns3;
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief Simple data emitter to check that a probe receives data.
+ * @brief Simple data emitter to check that a probe receives data.
  */
 class SampleEmitter : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -50,13 +50,13 @@
         m_time += Simulator::Now().GetSeconds();
     }
 
-    /// \return the time delta of the next report.
+    /// @return the time delta of the next report.
     double GetTime() const
     {
         return m_time;
     }
 
-    /// \return a random variable, different for each reschedule.
+    /// @return a random variable, different for each reschedule.
     double GetValue() const
     {
         return aux;
@@ -90,9 +90,9 @@
 }
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief DoubleProbe class - Test case for connecting and receiving data.
+ * @brief DoubleProbe class - Test case for connecting and receiving data.
  */
 class ProbeTestCase1 : public TestCase
 {
@@ -105,9 +105,9 @@
 
     /**
      * Trace sink.
-     * \param context Trace context
-     * \param oldValue Old value
-     * \param newValue New value
+     * @param context Trace context
+     * @param oldValue Old value
+     * @param newValue New value
      */
     void TraceSink(std::string context, double oldValue, double newValue);
     uint32_t m_objectProbed; //!< Number of probes by Object
@@ -163,8 +163,8 @@
     p->SetName("testProbe");
 
     Simulator::Schedule(Seconds(1), &SampleEmitter::Start, m_s);
-    p->SetAttribute("Start", TimeValue(Seconds(100.0)));
-    p->SetAttribute("Stop", TimeValue(Seconds(200.0)));
+    p->SetAttribute("Start", TimeValue(Seconds(100)));
+    p->SetAttribute("Stop", TimeValue(Seconds(200)));
     Simulator::Stop(Seconds(300));
 
     // Register our emitter object so we can fetch it by using the Config
@@ -181,8 +181,8 @@
     // name set above
     Ptr<DoubleProbe> p2 = CreateObject<DoubleProbe>();
     p2->SetName("testProbe2");
-    p2->SetAttribute("Start", TimeValue(Seconds(100.0)));
-    p2->SetAttribute("Stop", TimeValue(Seconds(200.0)));
+    p2->SetAttribute("Start", TimeValue(Seconds(100)));
+    p2->SetAttribute("Stop", TimeValue(Seconds(200)));
 
     // Hook probe to the emitter.
     p2->ConnectByPath("/Names/SampleEmitter/Emitter");
@@ -199,9 +199,9 @@
 }
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief DoubleProbe class TestSuite
+ * @brief DoubleProbe class TestSuite
  */
 class ProbeTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/test/histogram-test-suite.cc ns-3.44/src/stats/test/histogram-test-suite.cc
--- ns-3.43/src/stats/test/histogram-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/test/histogram-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -12,9 +12,9 @@
 using namespace ns3;
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief Histogram Test
+ * @brief Histogram Test
  */
 class HistogramTestCase : public ns3::TestCase
 {
@@ -61,9 +61,9 @@
 }
 
 /**
- * \ingroup stats-tests
+ * @ingroup stats-tests
  *
- * \brief Histogram TestSuite
+ * @brief Histogram TestSuite
  */
 class HistogramTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/tap-bridge/CMakeLists.txt ns-3.44/src/tap-bridge/CMakeLists.txt
--- ns-3.43/src/tap-bridge/CMakeLists.txt	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/tap-bridge/CMakeLists.txt	2025-03-09 16:55:49.703372200 -0700
@@ -44,3 +44,8 @@
   INSTALL_DIRECTORY_PATH ${CMAKE_INSTALL_LIBEXECDIR}/ns3
   STANDALONE
 )
+
+add_dependencies(
+  tap-bridge
+  tap-creator
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/tap-bridge/doc/tap.h ns-3.44/src/tap-bridge/doc/tap.h
--- ns-3.43/src/tap-bridge/doc/tap.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/tap-bridge/doc/tap.h	2025-03-09 16:55:49.703372200 -0700
@@ -1,5 +1,5 @@
 /**
- * \defgroup tap-bridge Tap Bridge Network Device
+ * @defgroup tap-bridge Tap Bridge Network Device
  *
  * This section documents the API of the ns-3 tap-bridge module. For a
  * generic functional description, please refer to the ns-3 manual.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/tap-bridge/examples/tap-wifi-dumbbell.cc ns-3.44/src/tap-bridge/examples/tap-wifi-dumbbell.cc
--- ns-3.43/src/tap-bridge/examples/tap-wifi-dumbbell.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/tap-bridge/examples/tap-wifi-dumbbell.cc	2025-03-09 16:55:49.703372200 -0700
@@ -158,7 +158,7 @@
     ipv4Left.SetBase("10.1.1.0", "255.255.255.0");
     Ipv4InterfaceContainer interfacesLeft = ipv4Left.Assign(devicesLeft);
 
-    TapBridgeHelper tapBridge(interfacesLeft.GetAddress(1));
+    TapBridgeHelper tapBridge;
     tapBridge.SetAttribute("Mode", StringValue(mode));
     tapBridge.SetAttribute("DeviceName", StringValue(tapName));
     tapBridge.Install(nodesLeft.Get(0), devicesLeft.Get(0));
@@ -204,13 +204,13 @@
     onoff.SetConstantRate(DataRate("500kb/s"));
 
     ApplicationContainer apps = onoff.Install(nodesLeft.Get(3));
-    apps.Start(Seconds(1.0));
+    apps.Start(Seconds(1));
 
     // Create a packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory", InetSocketAddress(Ipv4Address::GetAny(), port));
 
     apps = sink.Install(nodesRight.Get(0));
-    apps.Start(Seconds(1.0));
+    apps.Start(Seconds(1));
 
     wifiPhy.EnablePcapAll("tap-wifi-dumbbell");
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/tap-bridge/helper/tap-bridge-helper.cc ns-3.44/src/tap-bridge/helper/tap-bridge-helper.cc
--- ns-3.43/src/tap-bridge/helper/tap-bridge-helper.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/tap-bridge/helper/tap-bridge-helper.cc	2025-03-09 16:55:49.703372200 -0700
@@ -27,7 +27,6 @@
 {
     NS_LOG_FUNCTION_NOARGS();
     m_deviceFactory.SetTypeId("ns3::TapBridge");
-    SetAttribute("Gateway", Ipv4AddressValue(gateway));
     SetAttribute("Mode", EnumValue(TapBridge::CONFIGURE_LOCAL));
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/tap-bridge/helper/tap-bridge-helper.h ns-3.44/src/tap-bridge/helper/tap-bridge-helper.h
--- ns-3.43/src/tap-bridge/helper/tap-bridge-helper.h	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/tap-bridge/helper/tap-bridge-helper.h	2025-03-09 16:55:49.703372200 -0700
@@ -20,7 +20,7 @@
 class AttributeValue;
 
 /**
- * \brief build TapBridge to allow ns-3 simulations to interact with Linux
+ * @brief build TapBridge to allow ns-3 simulations to interact with Linux
  * tap devices and processes on the Linux host.
  */
 class TapBridgeHelper
@@ -38,17 +38,18 @@
      * have their simulations interact with Linux tap devices and processes
      * on the Linux host.
      *
-     * \param gateway An Ipv4Address to be used as the default gateway for
+     * @param gateway An Ipv4Address to be used as the default gateway for
      * the created bridges,
      */
+    NS_DEPRECATED_3_44("Use TapBridgeHelper()")
     TapBridgeHelper(Ipv4Address gateway);
 
     /**
      * Set an attribute in the underlying TapBridge net device when these
      * devices are automatically created.
      *
-     * \param n1 the name of the attribute to set
-     * \param v1 the value of the attribute to set
+     * @param n1 the name of the attribute to set
+     * @param v1 the value of the attribute to set
      */
     void SetAttribute(std::string n1, const AttributeValue& v1);
 
@@ -57,9 +58,9 @@
      * bridge with the NetDevice specified.  The Node is specified using
      * a Ptr<Node> and the NetDevice is specified using a Ptr<NetDevice>
      *
-     * \param node The Ptr<Node> to install the TapBridge in
-     * \param nd The Ptr<NetDevice> to attach to the bridge.
-     * \returns A pointer to the new TapBridge NetDevice.
+     * @param node The Ptr<Node> to install the TapBridge in
+     * @param nd The Ptr<NetDevice> to attach to the bridge.
+     * @returns A pointer to the new TapBridge NetDevice.
      */
     Ptr<NetDevice> Install(Ptr<Node> node, Ptr<NetDevice> nd);
 
@@ -69,9 +70,9 @@
      * name string that has previously been associated with the Node using
      * the Object Name Service.  The NetDevice is specified by a Ptr<NetDevice>.
      *
-     * \param nodeName The name of the Node to install the TapBridge in
-     * \param nd The Ptr<NetDevice> to attach to the bridge.
-     * \returns A pointer to the new TapBridge NetDevice.
+     * @param nodeName The name of the Node to install the TapBridge in
+     * @param nd The Ptr<NetDevice> to attach to the bridge.
+     * @returns A pointer to the new TapBridge NetDevice.
      */
     Ptr<NetDevice> Install(std::string nodeName, Ptr<NetDevice> nd);
 
@@ -81,9 +82,9 @@
      * name string that has previously been associated with the NetDevice
      * using the Object Name Service.
      *
-     * \param node The Ptr<Node> to install the TapBridge in
-     * \param ndName The name of the NetDevice to attach to the bridge.
-     * \returns A pointer to the new TapBridge NetDevice.
+     * @param node The Ptr<Node> to install the TapBridge in
+     * @param ndName The name of the NetDevice to attach to the bridge.
+     * @returns A pointer to the new TapBridge NetDevice.
      */
     Ptr<NetDevice> Install(Ptr<Node> node, std::string ndName);
 
@@ -95,9 +96,9 @@
      * string that has previously been associated with the Object Name
      * Service.
      *
-     * \param nodeName The name of the Node to install the TapBridge in
-     * \param ndName The name of the NetDevice to attach to the bridge.
-     * \returns A pointer to the new TapBridge NetDevice.
+     * @param nodeName The name of the Node to install the TapBridge in
+     * @param ndName The name of the NetDevice to attach to the bridge.
+     * @returns A pointer to the new TapBridge NetDevice.
      */
     Ptr<NetDevice> Install(std::string nodeName, std::string ndName);
 
@@ -108,11 +109,11 @@
      * The type of the actual Bridge device is specified with the
      * provided AttributeValue (typically "ns3::TapBridge").
      *
-     * \param node The Ptr<Node> to install the TapBridge in
-     * \param nd The Ptr<NetDevice> to attach to the bridge.
-     * \param bridgeType The TypeId of the bridge that will be automatically
+     * @param node The Ptr<Node> to install the TapBridge in
+     * @param nd The Ptr<NetDevice> to attach to the bridge.
+     * @param bridgeType The TypeId of the bridge that will be automatically
      *                   created.
-     * \returns A pointer to the new TapBridge NetDevice.
+     * @returns A pointer to the new TapBridge NetDevice.
      */
     Ptr<NetDevice> Install(Ptr<Node> node, Ptr<NetDevice> nd, const AttributeValue& bridgeType);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/tap-bridge/model/tap-bridge.cc ns-3.44/src/tap-bridge/model/tap-bridge.cc
--- ns-3.43/src/tap-bridge/model/tap-bridge.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/tap-bridge/model/tap-bridge.cc	2025-03-09 16:55:49.703372200 -0700
@@ -89,7 +89,8 @@
                           "when in ConfigureLocal mode.",
                           Ipv4AddressValue("255.255.255.255"),
                           MakeIpv4AddressAccessor(&TapBridge::m_tapGateway),
-                          MakeIpv4AddressChecker())
+                          MakeIpv4AddressChecker(),
+                          TypeId::SupportLevel::OBSOLETE)
             .AddAttribute(
                 "IpAddress",
                 "The IP address to assign to the tap device, when in ConfigureLocal mode.  "
@@ -374,7 +375,6 @@
         // quite a bit of information.
         //
         // -d<device-name> The name of the tap device we want to create;
-        // -g<gateway-address> The IP address to use as the default gateway;
         // -i<IP-address> The IP address to assign to the new tap device;
         // -m<MAC-address> The MAC-48 address to assign to the new tap device;
         // -n<network-mask> The network mask to assign to the new tap device;
@@ -440,13 +440,6 @@
         ossDeviceName << "-d" << m_tapDeviceName;
 
         //
-        // The gateway-address is something we can't derive, so we rely on it
-        // being configured via an Attribute through the helper.
-        //
-        std::ostringstream ossGateway;
-        ossGateway << "-g" << m_tapGateway;
-
-        //
         // For flexibility, we do allow a client to override any of the values
         // above via attributes, so only use our found values if the Attribute
         // is not equal to its default value (empty string or broadcast address).
@@ -506,9 +499,9 @@
         ossPath << "-p" << path;
 
         NS_LOG_DEBUG("Executing: " << TAP_CREATOR << " " << ossDeviceName.str() << " "
-                                   << ossGateway.str() << " " << ossIp.str() << " " << ossMac.str()
-                                   << " " << ossNetmask.str() << " " << ossMode.str() << " "
-                                   << ossPath.str() << " " << ossVerbose.str());
+                                   << ossIp.str() << " " << ossMac.str() << " " << ossNetmask.str()
+                                   << " " << ossMode.str() << " " << ossPath.str() << " "
+                                   << ossVerbose.str());
 
         //
         // Execute the socket creation process image.
@@ -516,13 +509,12 @@
         status = ::execlp(TAP_CREATOR,
                           TAP_CREATOR,                 // argv[0] (filename)
                           ossDeviceName.str().c_str(), // argv[1] (-d<device name>)
-                          ossGateway.str().c_str(),    // argv[2] (-g<gateway>)
-                          ossIp.str().c_str(),         // argv[3] (-i<IP address>)
-                          ossMac.str().c_str(),        // argv[4] (-m<MAC address>)
-                          ossNetmask.str().c_str(),    // argv[5] (-n<net mask>)
-                          ossMode.str().c_str(),       // argv[6] (-o<operating mode>)
-                          ossPath.str().c_str(),       // argv[7] (-p<path>)
-                          ossVerbose.str().c_str(),    // argv[8] (-v)
+                          ossIp.str().c_str(),         // argv[2] (-i<IP address>)
+                          ossMac.str().c_str(),        // argv[3] (-m<MAC address>)
+                          ossNetmask.str().c_str(),    // argv[4] (-n<net mask>)
+                          ossMode.str().c_str(),       // argv[5] (-o<operating mode>)
+                          ossPath.str().c_str(),       // argv[6] (-p<path>)
+                          ossVerbose.str().c_str(),    // argv[7] (-v)
                           (char*)nullptr);
 
         //
@@ -720,7 +712,7 @@
     NS_LOG_INFO("TapBridge::ReadCallback(): Received packet on node " << m_nodeId);
     NS_LOG_INFO("TapBridge::ReadCallback(): Scheduling handler");
     Simulator::ScheduleWithContext(m_nodeId,
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    MakeEvent(&TapBridge::ForwardToBridgedDevice, this, buf, len));
 }
 
